org.eclipse.microprofile.lra.tck.participant.api

## Class LRATypeTckResource

- java.lang.Object
- - org.eclipse.microprofile.lra.tck.participant.api.ResourceParent
  - - org.eclipse.microprofile.lra.tck.participant.api.LRATypeTckResource

    @ApplicationScoped
     @Path(value="lra-type-tck-resource")
    public class LRATypeTckResource
    extends ResourceParent

### Field Summary

Fields
`static String` `MANDATORY_PATH`
`static String` `MANDATORY_WITH_END_FALSE_PATH`
`static String` `NEVER_PATH`
`static String` `NEVER_WITH_END_FALSE_PATH`
`static String` `NOT_SUPPORTED_PATH`
`static String` `NOT_SUPPORTED_WITH_END_FALSE_PATH`
`static String` `REQUIRED_PATH`
`static String` `REQUIRED_WITH_END_FALSE_PATH`
`static String` `REQUIRES_NEW_PATH`
`static String` `REQUIRES_NEW_WITH_END_FALSE_PATH`
`static String` `SUPPORTS_PATH`
`static String` `SUPPORTS_WITH_END_FALSE_PATH`
`static String` `TCK_LRA_TYPE_RESOURCE_PATH`

### Constructor Summary

Constructors
Constructor and Description
`LRATypeTckResource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `mandatoryEndLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `mandatoryLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `neverEndLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `neverLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `notSupportedEndLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `notSupportedLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `requiredEndLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `requiredLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `requiresNewEndLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `requiresNewLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `supportsEndLRA(URI lraId)`
`jakarta.ws.rs.core.Response` `supportsLRA(URI lraId)`

### Methods inherited from class org.eclipse.microprofile.lra.tck.participant.api.ResourceParent

`afterLRA`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TCK_LRA_TYPE_RESOURCE_PATH

    public static final String TCK_LRA_TYPE_RESOURCE_PATH

See Also:
  Constant Field Values

#### REQUIRED_PATH

    public static final String REQUIRED_PATH

See Also:
  Constant Field Values

#### REQUIRES_NEW_PATH

    public static final String REQUIRES_NEW_PATH

See Also:
  Constant Field Values

#### SUPPORTS_PATH

    public static final String SUPPORTS_PATH

See Also:
  Constant Field Values

#### NOT_SUPPORTED_PATH

    public static final String NOT_SUPPORTED_PATH

See Also:
  Constant Field Values

#### MANDATORY_PATH

    public static final String MANDATORY_PATH

See Also:
  Constant Field Values

#### NEVER_PATH

    public static final String NEVER_PATH

See Also:
  Constant Field Values

#### REQUIRED_WITH_END_FALSE_PATH

    public static final String REQUIRED_WITH_END_FALSE_PATH

See Also:
  Constant Field Values

#### REQUIRES_NEW_WITH_END_FALSE_PATH

    public static final String REQUIRES_NEW_WITH_END_FALSE_PATH

See Also:
  Constant Field Values

#### SUPPORTS_WITH_END_FALSE_PATH

    public static final String SUPPORTS_WITH_END_FALSE_PATH

See Also:
  Constant Field Values

#### NOT_SUPPORTED_WITH_END_FALSE_PATH

    public static final String NOT_SUPPORTED_WITH_END_FALSE_PATH

See Also:
  Constant Field Values

#### MANDATORY_WITH_END_FALSE_PATH

    public static final String MANDATORY_WITH_END_FALSE_PATH

See Also:
  Constant Field Values

#### NEVER_WITH_END_FALSE_PATH

    public static final String NEVER_WITH_END_FALSE_PATH

See Also:
  Constant Field Values

### Constructor Detail

#### LRATypeTckResource

    public LRATypeTckResource()

### Method Detail

#### requiredLRA

    @GET
     @Path(value="/required")
    public jakarta.ws.rs.core.Response requiredLRA(@HeaderParam(value="Long-Running-Action")
                                                                                  URI lraId)

#### requiresNewLRA

    @GET
     @Path(value="/requires-new")
    public jakarta.ws.rs.core.Response requiresNewLRA(@HeaderParam(value="Long-Running-Action")
                                                                                         URI lraId)

#### mandatoryLRA

    @GET
     @Path(value="/mandatory")
    public jakarta.ws.rs.core.Response mandatoryLRA(@HeaderParam(value="Long-Running-Action")
                                                                                    URI lraId)

#### supportsLRA

    @GET
     @Path(value="/supports")
    public jakarta.ws.rs.core.Response supportsLRA(@HeaderParam(value="Long-Running-Action")
                                                                                  URI lraId)

#### notSupportedLRA

    @GET
     @Path(value="/not-supported")
    public jakarta.ws.rs.core.Response notSupportedLRA(@HeaderParam(value="Long-Running-Action")
                                                                                           URI lraId)

#### neverLRA

    @GET
     @Path(value="/never")
    public jakarta.ws.rs.core.Response neverLRA(@HeaderParam(value="Long-Running-Action")
                                                                            URI lraId)

#### requiredEndLRA

    @GET
     @Path(value="/end-required")
    public jakarta.ws.rs.core.Response requiredEndLRA(@HeaderParam(value="Long-Running-Action")
                                                                                         URI lraId)

#### requiresNewEndLRA

    @GET
     @Path(value="/end-requires-new")
    public jakarta.ws.rs.core.Response requiresNewEndLRA(@HeaderParam(value="Long-Running-Action")
                                                                                                URI lraId)

#### mandatoryEndLRA

    @GET
     @Path(value="/end-mandatory")
    public jakarta.ws.rs.core.Response mandatoryEndLRA(@HeaderParam(value="Long-Running-Action")
                                                                                           URI lraId)

#### supportsEndLRA

    @GET
     @Path(value="/end-supports")
    public jakarta.ws.rs.core.Response supportsEndLRA(@HeaderParam(value="Long-Running-Action")
                                                                                         URI lraId)

#### notSupportedEndLRA

    @GET
     @Path(value="/end-not-supported")
    public jakarta.ws.rs.core.Response notSupportedEndLRA(@HeaderParam(value="Long-Running-Action")
                                                                                                  URI lraId)

#### neverEndLRA

    @GET
     @Path(value="/end-never")
    public jakarta.ws.rs.core.Response neverEndLRA(@HeaderParam(value="Long-Running-Action")
                                                                                   URI lraId)